<?php
$title = 'Статистика платежей';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if($user['id'] != 1){
header('Location: /');
exit;
}

?>
<div class="row"><?
$k = $db->prepare("SELECT * FROM `pay` ");
$k->execute();
$k_post = $k->rowCount();
$max = 20;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `pay` ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute();
$all = $all -> fetchAll();
if(is_array($all)){
foreach($all as $a){
$status = array('yes'=>'<font color="green">Успешно</font>','no'=>'Не прошел','bad'=>'<font color="red">Ошибка площадки</font>','success' => '<font color="orage">В ожидание оплаты</font>');
$kassa = array('1' => 'Рабочий режим', '0' => 'Тестовый режим');
echo '<div class="col-md-6 mt-4">
<div class="card">
<div class="card-body">
<b>ID:</b> '.$a['id'].' <br />
<b>Статус:</b> '.$status[$a['status']].'<br />
<b>Сумма: </b> '.$a['summa'].' руб. <br />
<b>Дата :</b> '.vremja($a['time']).'<br />
<b>Комментарий :</b> '.base64_decode($a['com']).'<br />
<b>Оплачено:</b> '.$kassa[$a['type']].'<br />
<b>ID Площадки:</b> '.$a['platform'].'<br />
';
if(isset($a['ot'])) echo '<b>Ответ сервера :</b>
<pre style="overflow:auto;">
'.highlightText($a['ot']).'
</pre>';
echo '</div></div></div>';

}
}

if($k_post == 0){
?><div class="box"> Пусто </div><?
}
echo '</div>';
if($k_page >1){
echo str('/panel/my/log.pay.aspx',$k_page,$page);
}
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
?>